<?php

namespace Drupal\cms_content_sync\Event;

use Drupal\cms_content_sync\ImportIntent;
use Symfony\Component\EventDispatcher\Event;
use Drupal\Core\Entity\EntityInterface;

/**
 * The entity has been imported successfully.
 * Other modules can use this to react on successful import events.
 */
class AfterEntityImport extends Event {

  const EVENT_NAME = 'cms_content_sync.entity.import.after';

  /**
   * Entity.
   *
   * @var \Drupal\Core\Entity\EntityInterface
   */
  public $entity;

  /**
   * @var \Drupal\cms_content_sync\ImportIntentintent
   */
  public $intent;

  /**
   * Constructs a entity export event.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   * @param \Drupal\cms_content_sync\ImportIntent $intent
   */
  public function __construct(EntityInterface $entity, ImportIntent $intent) {
    $this->entity = $entity;
    $this->intent = $intent;
  }

  /**
   * @return \Drupal\cms_content_sync\ImportIntent
   */
  public function getIntent() {
    return $this->intent;
  }

  /**
   * Get the exported entity.
   *
   * @return \Drupal\Core\Entity\EntityInterface
   */
  public function getEntity() {
    return $this->entity;
  }

}
